using System;
using System.Diagnostics.CodeAnalysis;
using System.Runtime.InteropServices;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability
{
    // このクラスは CA1412 に違反しています。
    [ComVisible(true)]
    [SuppressMessage("Microsoft.Naming", "CA1715:IdentifiersShouldHaveCorrectPrefix")]
    [InterfaceType(ComInterfaceType.InterfaceIsDual)]
    public interface Rule1412
    {
        void Event1();
        void Event2();
    }

    [ComVisible(true)]
    [ComSourceInterfaces("Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Interoperability.Rule1412")]
    public class Rule1412A
    {
    }
}
